summaryrefslogtreecommitdiffstats
path: root/distro/tests/test-distro.sh
diff options
context:
space:
mode:
Diffstat (limited to 'distro/tests/test-distro.sh')
-rwxr-xr-xdistro/tests/test-distro.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/distro/tests/test-distro.sh b/distro/tests/test-distro.sh
new file mode 100755
index 0000000..550ff90
--- /dev/null
+++ b/distro/tests/test-distro.sh
@@ -0,0 +1,32 @@
+#!/bin/bash -x
+
+# ./test-distro.sh {devel|latest} {distro}
+# Example usage: ./test-distro.sh devel debian9
+
+distro=$2
+repo=$1
+
+# Select repos
+case "$repo" in
+ devel)
+ echo -e 'repos:\n - knot-dns-devel' > repos.yaml
+ ;;
+ testing)
+ echo -e 'repos:\n - knot-dns-testing' > repos.yaml
+ ;;
+ latest)
+ echo -e 'repos:\n - knot-dns-latest' > repos.yaml
+ ;;
+ *)
+ echo "Unknown repo, choose devel|latest|testing"
+ exit 1
+ ;;
+esac
+
+cd "$distro"
+vagrant destroy -f &>/dev/null
+vagrant up
+ret=$?
+vagrant destroy -f &>/dev/null
+exit $ret
+